Skip to main content
DELETE
/
api
/
v1
/
projects
/
{projectId}
cURL
curl --request DELETE \
  --url https://us.infisical.com/api/v1/projects/{projectId} \
  --header 'Authorization: Bearer <token>'
{
  "project": {
    "id": "<string>",
    "name": "<string>",
    "type": "<string>",
    "slug": "<string>",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "defaultProduct": "<string>",
    "autoCapitalization": false,
    "version": 1,
    "upgradeStatus": "<string>",
    "pitVersionLimit": 10,
    "kmsCertificateKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "auditLogsRetentionDays": 123,
    "hasDeleteProtection": false,
    "secretSharing": true,
    "showSnapshotsLegacy": false,
    "secretDetectionIgnoreValues": [
      "<string>"
    ],
    "enforceEncryptedSecretManagerSecretMetadata": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

This operation is irreversible. All data associated with the project will be deleted. Please use with caution.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required

The ID of the project to delete.

Response

Default Response

project
object